define('aim/absence/view/ExtendFilterView',[], function() {
	var ExtendFilterView = Backbone.View.extend({
		
		el: '#extend-filter-group',
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},

		events: {
			"change #extend-filter": "change"
		},

		render : function() {
			var tmpOps = {};
			tmpOps.id = "extend-filter";
			tmpOps.checked = this.model.get('extendFilter');
			tmpOps.disabled = "false";
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.extend.filter.label");
			this.$el.html(Naomi.Templates.JiraRp.checkbox(tmpOps, null, null));
			return this;
		},
		
		change : function(event) {
			if(event.currentTarget.checked == true){
				this.model.set('extendFilter','true');
			}else{
				this.model.set('extendFilter','false')
			}
		}
		
	});
	return ExtendFilterView;
});