define('aim/assignment/view/SelectDistributionView',[], function() {
	var SelectDistributionView = Backbone.View.extend({
		
		el: '#distribution-single-select',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var selectedDistribution = this.model.get("selectedDistribution");
			_.each(this.model.get("distributionOptions"), function(distribution) {
				var selectData = {};
				selectData.id = distribution.value;
				selectData.name = distribution.label;
				if( selectedDistribution == distribution.value){
					selectData.selected='selected';
				}
				selectDatas.selectValues.push(selectData);
			});
			
			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			AJS.$("#distribution-single-select").auiSelect2();
			return this;
		}
	});
	return SelectDistributionView;
});