define('aim/assignment/view/DaysWithCapacityView',[], function() {
	var DaysWithCapacityView = Backbone.View.extend({
		
		el: '#days-with-capacity-group',
		initialize : function() {
			this.listenTo(this.model.get('planValueModel'), 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var planValueModel = this.model.get('planValueModel');
			tmpOps.number = planValueModel.get('daysWithCapacity');
			tmpOps.id = "daysWithCapacity";
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.days.with.capacity.label");
			tmpOps.min = 2;
			tmpOps.max = 4000;
			tmpOps.disabled = "disabled";
			this.$el.html(Naomi.Templates.JiraRp.number(tmpOps, null, null));
			this.value=planValueModel.get('daysWithCapacity');
			return this;
		}
	});
	return DaysWithCapacityView;
});